petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSFGetGroups

gets incoming and outgoing process groups

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFGetGroups(PetscSF sf,MPI_Group *incoming,MPI_Group *outgoing)

Collective Many br

### Input Argument

sf -star forest Many br

### Output Arguments

| incoming | - group of origin processes for incoming edges (leaves that reference my roots) Many br
| outgoing | - group of destination processes for outgoing edges (roots that I reference) Many br

Many br

### See Also

PetscSFGetWindow(), PetscSFRestoreWindow()

Level:developer
Location:src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages